std::source_location Struct Reference

## Public Member Functions

constexpr uint_least32_t | column () const noexcept
constexpr const char * | file_name () const noexcept
constexpr const char * | function_name () const noexcept
constexpr uint_least32_t | line () const noexcept

## Static Public Member Functions

static consteval source_location | current (__builtin_ret_type __p=__builtin_source_location()) noexcept

## Detailed Description

A class that describes a location in source code.

Definition at line 42 of file source_location.

The documentation for this struct was generated from the following file:

- source_location